//----------------------------------------------------------------------------
//
//  Main.nut
//
//----------------------------------------------------------------------------
load( "common" );
load( "fonts" );
load( "console" );
load( "tweaks" );
load( "abilities" );
load( "units" );
load( "game" );
load( "research" );

function Spawn( utype, pos )
{
	local unit = World.Spawn( utype );
	assert( utype );	
	unit.position.x = pos.x;
	unit.position.z = pos.y;
	//print( "Spawned: " + utype + " at (" + pos.x + ", " + pos.y + ")" );
	return unit;
}

function SetGameScript( script )
{
	game.script = "scripts/" + script + ".nut";
	Game.Restart();
}