//----------------------------------------------------------------------------
//
//  Ability.nut
//
//----------------------------------------------------------------------------
Ability <-
{
	name = "Base Ability"
	desc = "No description"
	icon = "ability_cancel.tga"
	cost = 0
	slot = [0, 0]
}

Abilities <-
{
	Cancel = delegate Ability:
	{
		name = "Cancel",
		desc = "Cancel current action."
		icon =
		[
			"ui/button_cancel.tga",
			"ui/button_cancel_select.tga",
			"ui/button_cancel_click.tga",
		]
		slot = [2, 2]
	}

	TrainMarine = delegate Ability:
	{
		name = "Train Marine"
		desc = "Train a marine and add him to this bunker."
		icon =
		[
			"ui/button_marine.tga",
			"ui/button_marine_select.tga",
			"ui/button_marine_click.tga",
		]
		cost = 50
		slot = [0, 0]
	}
	
	TrainPyro = delegate Ability:
	{
		name = "Train Pyro",
		desc = "Train a pyromaniac and add him to this bunker."
		icon =
		[
			"ui/button_pyro.tga",
			"ui/button_pyro_select.tga",
			"ui/button_pyro_click.tga",
		]
		cost = 50
		slot = [1, 0]
	}
	
	Salvage = delegate Ability:
	{
		name = "Salvage Structure"
		desc = "Raze this structure and recover half of its original cost."
		icon =
		[
			"ui/ability_cancel.tga",
			"ui/ability_cancel_select.tga",
			"ui/ability_cancel_click.tga",
		]
		slot = [2, 2]
	}
}