//----------------------------------------------------------------------------
//
//  Game.nut
//
//  This file contains all definitions for upgrades and technology research.
//
//----------------------------------------------------------------------------
Research <-
{
	attribute = "none",
	name = "none",
}

Upgrade <- delegate Research:
{
	baseTime = 60,
	timeInc = 10,
	
	baseCost = 100,
	costInc = 10,
}

ArmorUpgrade <- delegate Upgrade:
{
	attribute = "armor",
	name = "Reinforced Armor",
	
	baseTime = 60,
	timeInc = 10,
	baseCost = 300,
	costInc = 50,
	
	units =
	[
		[Turret, 1],
		[Bunker, 4],
	],
}
