//----------------------------------------------------------------------------
//
//  Spawner.nut
//
//----------------------------------------------------------------------------
//Spawner <-
//{
//	amount = 1;
//	freq = 1.5;
//	maxAliens = 20;
//	
//	numAliens = 0;
//	wave = 0;

	//function Go()
	//{
	//	while ( true )
	//	{
	//		for ( local i=0; i<amount; i++ )
	//		{
	//			if ( numAliens < maxAliens )
	//			{
	//				local x = RandFloat( 0.0, 1.0 );
	//				local y = RandFloat( 0.0, 1.0 );
	//				
	//				local pos = Vector2( x, y );
	//			
	//				Spawn( "Alien", pos );
	//			}
	//		}
	//		
	//		wave++;
	//		sleep( freq );
	//	}
	//}
//};


// Constants
local MAX_ALIENS = 400;
local SPAWN_RADIUS = World.GetSize().width / 3;
local LIMIT_INC = 1;
local AMOUNT_INC = 2;

// Spawn Tweaking
local timeBetweenWaves = 10;
local timeBeforeFirstWave = 1;
local waveLength = 30;
local spawnFreq = 4.0;
local spawnLimit = 400;
local spawnAmount = 1;

// Locals
local time = 0;
local totalTime = 0;
local wave = 0;
local numSpawned = 0;
local bSpawning = false;
local alarmSound = Sound( "Scifi_AlarmLoop1.wav", 1 );

bSpawn <- true;

function PlayAlarm() : ( alarmSound )
{	
	alarmSound.Play( true );
	sleep( 8.0 );
	alarmSound.Stop();
}

function SpawnAlien() : ( SPAWN_RADIUS )
{
	game.Spawn( Unit.Alien, randvec(SPAWN_RADIUS), false );
}

sleep( timeBeforeFirstWave )

for (;;)
{
	threadfunc( null, PlayAlarm );

	while ( time < waveLength )
	{
		if ( bSpawn )
		{
			for ( local i=0; i<spawnAmount; i++ )
			{
				if ( game.aliens.len() < spawnLimit )
				{
					SpawnAlien();
				}
			}
		
			time += spawnFreq;
		}
		
		sleep( spawnFreq );
	}
	
	wave++;
	spawnFreq -= 0.1;
	time = 0.0;
	numSpawned = 0;
	spawnLimit += LIMIT_INC;
	spawnAmount += AMOUNT_INC;
	spawnAmount = spawnAmount.tointeger();
	sleep( timeBetweenWaves );
}


